<?php

/**
 * @file
 * modal Form für ISGW Causes
 */
require_once('/usr/local/www/berogui/includes/Helper/Helper.php');

$load_popup = 1;
$invalid = array();

/* [CHECKING GET] */
$list_get = array('id' => 'id');

$_GET = Helper::sanitizeGet($_GET, $list_get, $load_popup, $invalid);

/* [CHECKING POST] */
unset($_POST);

/* [LOADING POPUP] */
if (!$load_popup) {
	echo "<script>window.location='../../index.php?m=IsgwCauses&error=1&request={$invalid['request']}&checkor={$invalid['checkor']}&key={$invalid['key']}'</script>";
	exit(1);
}

chdir("../..");

include "./includes/variables.php";
include_once("/usr/www/include/SQLite2ToSQLite3.php");
include "./misc/database.php";
$ba = new beroAri();
require_once ('./includes/lang.php');
require_once('/usr/local/www/berogui/includes/session.php');

// NB: misunderstanding between the code and the GUI:
//
//			GUI	code
//	to	->	to	from
//	from	->	from	to
//

// since 'from_cause_isgw' is always hidden, we prefer directly comment the code 
?>
<script>
function hide_fields(){
	var direction=document.getElementById("call_direction");
	var to_cause_isdn=document.getElementById("to_cause_isdn");
	var to_cause_isgw=document.getElementById("to_cause_isgw");
	var to_cause_sip=document.getElementById("to_cause_sip");
	var to_cause_analog=document.getElementById("to_cause_analog");
	var from_cause_isdn=document.getElementById("from_cause_isdn");
<?php// var from_cause_isgw=document.getElementById("from_cause_isgw"); ?>
	var from_cause_sip=document.getElementById("from_cause_sip");
	var sip_response_message=document.getElementById("sip_response_message");
	var fr=document.getElementById("fr");
	var to=document.getElementById("to");
	if (direction.selectedIndex==0){
		to_cause_isgw.style.display="";
		to_cause_isdn.style.display="none";
		to_cause_sip.style.display="none";
                to_cause_analog.style.display="none";
		from_cause_sip.style.display="";
		from_cause_isdn.style.display="none";
<?php//		from_cause_isgw.style.display="none"; ?>
		sip_response_message.style.display="";
		to.innerHTML="<b><?php echo TO_CAUSE_DIS; ?> (SIP):</b>";
		fr.innerHTML="<b><?php echo FROM_CAUSE_DIS; ?> (ISGW):</b>";
	}
	if (direction.selectedIndex==1){
		to_cause_isgw.style.display="none";
		to_cause_isdn.style.display="";
		to_cause_sip.style.display="none";
                to_cause_analog.style.display="none";
		from_cause_sip.style.display="";
		from_cause_isdn.style.display="none";
<?php//		from_cause_isgw.style.display="none"; ?>
		sip_response_message.style.display="";
		to.innerHTML="<b><?php echo TO_CAUSE_DIS; ?> (SIP):</b>";
		fr.innerHTML="<b><?php echo FROM_CAUSE_DIS; ?> (ISDN):</b>";
	}
	if (direction.selectedIndex==2){
		to_cause_isgw.style.display="";
		to_cause_isdn.style.display="none";
		to_cause_sip.style.display="none";
                to_cause_analog.style.display="none";
		from_cause_sip.style.display="none";
		from_cause_isdn.style.display="";
<?php//		from_cause_isgw.style.display="none"; ?>
		sip_response_message.style.display="none";
		to.innerHTML="<b><?php echo TO_CAUSE_DIS; ?> (ISDN):</b>";
		fr.innerHTML="<b><?php echo FROM_CAUSE_DIS; ?> (ISGW):</b>";
	}
	if (direction.selectedIndex==3){
		to_cause_isgw.style.display="none";
		to_cause_isdn.style.display="none";
		to_cause_sip.style.display="";
                to_cause_analog.style.display="none";
		from_cause_sip.style.display="none";
		from_cause_isdn.style.display="";
<?php//		from_cause_isgw.style.display="none"; ?>
		sip_response_message.style.display="none";
		to.innerHTML="<b><?php echo TO_CAUSE_DIS; ?> (ISDN):</b>";
		fr.innerHTML="<b><?php echo FROM_CAUSE_DIS; ?> (SIP)</b>";
	}
	if (direction.selectedIndex==4){
		to_cause_isgw.style.display="none";
		to_cause_isdn.style.display="none";
		to_cause_sip.style.display="none";
		to_cause_analog.style.display="";
		from_cause_sip.style.display="";
		from_cause_isdn.style.display="none";
<?php//		from_cause_isgw.style.display="none"; ?>
		sip_response_message.style.display="";
		to.innerHTML="<b><?php echo TO_CAUSE_DIS; ?> (SIP):</b>";
		fr.innerHTML="<b><?php echo FROM_CAUSE_DIS; ?> (ANALOG)</b>";
	}

}

$( document ).ready(function() {
		hide_fields();
		$('[data-toggle="tooltip"]').tooltip({placement : 'auto bottom', html : true, trigger : 'hover', container: 'body'});
	});   


	var validator = $("#isgw-cause").validate({
		rules: {
			sip_response_message: {
				checkManual: true
			},
		},
                highlight: function (element) {
                        $(element).closest('.form-group').addClass('has-error');
                },
                unhighlight: function (element) {
                        $(element).closest('.form-group').removeClass('has-error');
                }
        });
</script>
<center>
<?php

function to_cause_isdn($dir,$to_cause){
	global $isdn_causes;
	$ret="<select name='to_cause_isdn' class='form-control' id='to_cause_isdn' size='4' style='resize:both; overflow:auto;'>";
	if ($to_cause==="ANY") $ret.="<option value='ANY' selected>ANY</option>";
	else $ret.="<option value='ANY'>ANY</option>";
		foreach ($isdn_causes as $key=>$value){
			foreach ($value as $key1=>$value1){
				if (strval($key1)===strval($to_cause)) $ret.="<option value='".$key1."' selected>".$value1."</option>";
				else $ret.="<option value='".$key1."'>".$value1."</option>";
			}
		}
	$ret.="</select>";
	return $ret;
}

function to_cause_analog($dir,$to_cause){
	global $analog_causes;
	$ret="<select name='to_cause_analog' class='form-control' id='to_cause_analog' size='4' style='resize:both; overflow:auto;'>";
	if ($to_cause==="ANY") $ret.="<option value='ANY' selected>ANY</option>";
	else $ret.="<option value='ANY'>ANY</option>";
		foreach ($analog_causes as $key=>$value){
			foreach ($value as $key1=>$value1){
				if (strval($key1)===strval($to_cause)) $ret.="<option value='".$key1."' selected>".$value1."</option>";
				else $ret.="<option value='".$key1."'>".$value1."</option>";
			}
		}
	$ret.="</select>";
	return $ret;
}

function to_cause_sip($dir,$to_cause){
	global $sip_response;
	$ret="<select name='to_cause_sip' class='form-control' id='to_cause_sip' size='4' style='resize:both; overflow:auto;'>";
	if ($to_cause==="ANY") $ret.="<option value='ANY' selected>ANY</option>";
	else $ret.="<option value='ANY'>ANY</option>";
		foreach ($sip_response as $key=>$value){
			foreach ($value as $key1=>$value1){
				if (strval($key1)===strval($to_cause)) $ret.="<option value='".$key1."' selected>".$value1."</option>";
				else $ret.="<option value='".$key1."'>".$value1."</option>";
			}
		}
	$ret.="</select>";
	return $ret;
}

function to_cause_isgw($dir,$to_cause){
	global $isgw_cause;
	$ret="<select name='to_cause_isgw' class='form-control' id='to_cause_isgw' size='4' style='resize:both; overflow:auto;'>";
	if ($to_cause==="ANY") $ret.="<option value='ANY' selected>ANY</option>";
	else $ret.="<option value='ANY'>ANY</option>";
		foreach ($isgw_cause as $key=>$value){
			foreach ($value as $key1=>$value1){
				if ($key1==$to_cause) $ret.="<option value='".$key1."' selected>".$value1."</option>";
				else $ret.="<option value='".$key1."'>".$value1."</option>";
			}
		}
	$ret.="</select>";
	return $ret;
}

function from_cause_isdn($dir,$from_cause){
	global $isdn_causes;
	$ret="<select name='from_cause_isdn' class='form-control' id='from_cause_isdn' size='4' style='resize:both; overflow:auto;'>";
		foreach ($isdn_causes as $key=>$value){
			foreach ($value as $key1=>$value1){
				if (strval($key1)===strval($from_cause)) $ret.="<option value='".$key1."' selected>".$value1."</option>";
				else $ret.="<option value='".$key1."'>".$value1."</option>";
			}
		}
	$ret.="</select>";
	return $ret;
}

function from_cause_sip($dir,$from_cause){
	global $sip_response;
	$ret="<select name='from_cause_sip' class='form-control' id='from_cause_sip' size='4'  style='resize:both; overflow:auto;'>";
		foreach ($sip_response as $key=>$value){
			foreach ($value as $key1=>$value1){
				if ($key1==$from_cause) $ret.="<option value='".$key1."' selected>".$value1."</option>";
				else $ret.="<option value='".$key1."'>".$value1."</option>";
			}
		}
	$ret.="</select>";
	return $ret;
}

/* UNUSED
function from_cause_isgw($dir,$from_cause){
	global $isgw_cause;
	$ret="<select name='from_cause_isgw' class='form-control' id='from_cause_isgw' size='4' style='resize:both; overflow:auto;'>";
		foreach ($isgw_cause as $key=>$value){
			foreach ($value as $key1=>$value1){
				if ($key1==$from_cause) $ret.="<option value='".$key1."' selected>".$value1."</option>";
				else $ret.="<option value='".$key1."'>".$value1."</option>";
			}
		}
	$ret.="</select>";
	return $ret;
}
*/

function call_direction($dir){
	$ret="<select name='call_direction' class='form-control' id='call_direction' onchange='hide_fields();'>";
	if ($dir=="SIP-ISGW") $ret.="<option value='SIP-ISGW' selected>SIP-ISGW</option>";
	else $ret.="<option value='SIP-ISGW'>SIP-ISGW</option>";
	if ($dir=="SIP-ISDN") $ret.="<option value='SIP-ISDN' selected>SIP-ISDN</option>";
	else $ret.="<option value='SIP-ISDN'>SIP-ISDN</option>";
	if ($dir=="ISDN-ISGW") $ret.="<option value='ISDN-ISGW' selected>ISDN-ISGW</option>";
	else $ret.="<option value='ISDN-ISGW'>ISDN-ISGW</option>";
	if ($dir=="ISDN-SIP") $ret.="<option value='ISDN-SIP' selected>ISDN-SIP</option>";
	else $ret.="<option value='ISDN-SIP'>ISDN-SIP</option>";
	if ($dir=="SIP-ANALOG") $ret.="<option value='SIP-ANALOG' selected>SIP-ANALOG</option>";
	else $ret.="<option value='SIP-ANALOG'>SIP-ANALOG</option>";
	$ret.="</select>";
	return $ret;
}

function get_data(){
	$ba=new beroAri();
	if (isset($_GET['id'])) {
		$id = $_GET['id'];
		$q=$ba->select("select * from isgw_causes where id='".$id."'");
		$e=sqlite_fetch_all($q);
		return $e;
	}
}

$data=get_data();
/**
 * @todo Replace table by divs
 */
	echo ("<form name='isdn' id='isgw-cause' action='modules/IsgwCauses/causes_submit.php' method='POST'>

			<table class='table table-striped' style='max-width:600px; margin:auto;'>
			<tr>
			<td><b>".CALL_DIRECTION_DIS.":</b>&nbsp;</td>
			<td>".call_direction($data[0]['direction'])."</td>
			</tr>
			<tr>
			<td id='to'><b>".TO_CAUSE_DIS.":</b>&nbsp;</td>
				<td>".from_cause_isdn($data[0]['direction'],$data[0]['from_cause']).
                                    /*from_cause_isgw($data[0]['direction'],$data[0]['from_cause']).*/
                                    from_cause_sip($data[0]['direction'],$data[0]['from_cause'])."</td>
			</tr>
			<tr>
			<td id='fr'><b>".FROM_CAUSE_DIS.":</b>&nbsp;</td>
			<td>".to_cause_isdn($data[0]['direction'],$data[0]['to_cause']).
				to_cause_sip($data[0]['direction'],$data[0]['to_cause']).
				to_cause_isgw($data[0]['direction'],$data[0]['to_cause']).
                                to_cause_analog($data[0]['direction'],$data[0]['to_cause'])."</td>
			</tr>
			<tr id='sip_response_message'>
			<td><b>".SIP_RESPONSE_MESSAGE_DIS.":</b>&nbsp;</td>
			<td><input type='text' class='form-control' name='sip_response_message' value='".$data[0]['sip_response_message']."'></td>
			</tr>
			</table>
			<br/>");
		if (isset($_GET['id'])) echo" <input type='hidden' name='id_upd' value='". $_GET['id']."'>";
		echo ("<input name='submit' class='btn btn-default' type='submit' value='".BUTTON_SAVE."'>
			</form>");


?>
</center>
</body>
</html>

